summaryrefslogtreecommitdiffstats
path: root/extensions
diff options
context:
space:
mode:
authorJan Engelhardt <jengelh@medozas.de>2010-12-11 03:35:48 +0100
committerJan Engelhardt <jengelh@medozas.de>2010-12-11 03:37:17 +0100
commita3f101331deb9314caa0cfa1061c925865e79380 (patch)
tree2d8d90350937e5dd2db7621dd985203562ef9af4 /extensions
parentda41ea1688f03f8869b9c50e878ae505988ead9a (diff)
build: stop on error in subcommand
make only evaluates $? of an entire shell invocation. As such, if any command in the chain can fail, $? needs to be thrown, and early so. Signed-off-by: Jan Engelhardt <jengelh@medozas.de>
Diffstat (limited to 'extensions')
-rw-r--r--extensions/GNUmakefile.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/extensions/GNUmakefile.in b/extensions/GNUmakefile.in
index 7c479018..74a058c1 100644
--- a/extensions/GNUmakefile.in
+++ b/extensions/GNUmakefile.in
@@ -165,14 +165,14 @@ man_run = \
if [ -f "$$f" ] && grep -Eq "$(3)|NFPROTO_UNSPEC" "$$cf"; then \
echo -e "\t+ $$f" >&2; \
echo ".SS $$ext"; \
- cat "$$f"; \
+ cat "$$f" || exit $$?; \
continue; \
fi; \
f="${srcdir}/lib$(2)t_$$ext.man"; \
if [ -f "$$f" ]; then \
echo -e "\t+ $$f" >&2; \
echo ".SS $$ext"; \
- cat "$$f"; \
+ cat "$$f" || exit $$?; \
continue; \
fi; \
done >$@;